OpenNMS API 1.2.9

## org.opennms.netmgt.poller.pollables
Class PollableContainer

    java.lang.Object
      org.opennms.netmgt.poller.pollables.PollableElement
          org.opennms.netmgt.poller.pollables.PollableContainer

Direct Known Subclasses:
  PollableInterface, PollableNetwork, PollableNode

public abstract class PollableContainer
extends PollableElement

Represents a PollableContainer

Author:
  brozow

Nested Class Summary
`protected static interface` `PollableContainer.Iter`
`protected class` `PollableContainer.SimpleIter`

Field Summary
`private java.util.Map` `m_members`

Fields inherited from class org.opennms.netmgt.poller.pollables.PollableElement
``

Constructor Summary
`PollableContainer(PollableContainer parent)`

Method Summary
`protected void` `addMember(PollableElement member)`
`protected abstract java.lang.Object` `createMemberKey(PollableElement member)`
`void` `delete()`
`void` `deleteMember(PollableElement member)`
`(package private) PollableElement` `findMemberWithDescendent(PollableElement elem)`
`protected void` `forEachMember(PollableContainer.Iter iter)`
`protected PollableElement` `getMember(java.lang.Object key)`
`protected int` `getMemberCount()`
`protected java.util.Collection` `getMembers()`
`PollStatus` `getMemberStatus()`
`PollStatus` `poll()`
`protected PollStatus` `poll(PollableElement elem)`
`PollStatus` `pollRemainingMembers(PollableElement member)`
`protected void` `processCause(PollEvent cause)`
`private void` `processLingeringMemberCauses(PollEvent resolvedCause, PollEvent resolution)`
`void` `processMemberStatusChanges(java.util.Date date)`
`protected void` `processResolution(PollEvent resolvedCause, PollEvent resolution)`
`void` `processStatusChange(java.util.Date date)`
`void` `recalculateStatus()`
`void` `removeMember(PollableElement member)`
`void` `resetStatusChanged()`
`protected void` `resolveAllOutages(PollEvent resolvedCause, PollEvent resolution)`
`PollableElement` `selectPollElement()`
`void` `visit(PollableVisitor v)`
`protected void` `visitMembers(PollableVisitor v)`
`protected void` `visitThis(PollableVisitor v)`

Methods inherited from class org.opennms.netmgt.poller.pollables.PollableElement
`createDownEvent, createOutage, createUpEvent, doPoll, getCause, getContext, getLockRoot, getParent, getStatus, hasOpenOutage, isDeleted, isStatusChanged, isTreeLockAvailable, obtainTreeLock, processComingUp, processGoingDown, processLingeringCauses, releaseTreeLock, resolveOutage, setCause, setParent, updateStatus, withTreeLock, withTreeLock`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_members

    private java.util.Map m_members

Constructor Detail

### PollableContainer

    public PollableContainer(PollableContainer parent)

Method Detail

### getMember

    protected PollableElement getMember(java.lang.Object key)

  Returns:

### getMemberCount

    protected int getMemberCount()

### getMembers

    protected java.util.Collection getMembers()

### createMemberKey

    protected abstract java.lang.Object createMemberKey(PollableElement member)

  Parameters:
    `member` -
  Returns:

### addMember

    protected void addMember(PollableElement member)

### removeMember

    public void removeMember(PollableElement member)

### deleteMember

    public void deleteMember(PollableElement member)

### delete

    public void delete()

  Overrides:
    `delete` in class `PollableElement`

### visit

    public void visit(PollableVisitor v)

  Overrides:
    `visit` in class `PollableElement`

### visitThis

    protected void visitThis(PollableVisitor v)

  Overrides:
    `visitThis` in class `PollableElement`

### visitMembers

    protected void visitMembers(PollableVisitor v)

  Parameters:
    `v` -

### forEachMember

    protected void forEachMember(PollableContainer.Iter iter)

### recalculateStatus

    public void recalculateStatus()

  Overrides:
    `recalculateStatus` in class `PollableElement`

### resetStatusChanged

    public void resetStatusChanged()

  Overrides:
    `resetStatusChanged` in class `PollableElement`

### findMemberWithDescendent

    PollableElement findMemberWithDescendent(PollableElement elem)

### poll

    protected PollStatus poll(PollableElement elem)

  Overrides:
    `poll` in class `PollableElement`

### pollRemainingMembers

    public PollStatus pollRemainingMembers(PollableElement member)

  Parameters:
    `member` -
  Returns:

### getMemberStatus

    public PollStatus getMemberStatus()

### poll

    public PollStatus poll()

  Specified by:
    `poll` in class `PollableElement`

### selectPollElement

    public PollableElement selectPollElement()

  Overrides:
    `selectPollElement` in class `PollableElement`
  Returns:

### processStatusChange

    public void processStatusChange(java.util.Date date)

  Overrides:
    `processStatusChange` in class `PollableElement`
  Parameters:
    `date` -

### processMemberStatusChanges

    public void processMemberStatusChanges(java.util.Date date)

### processResolution

    protected void processResolution(PollEvent resolvedCause,
                                     PollEvent resolution)

  Overrides:
    `processResolution` in class `PollableElement`

### processLingeringMemberCauses

    private void processLingeringMemberCauses(PollEvent resolvedCause,
                                              PollEvent resolution)

### processCause

    protected void processCause(PollEvent cause)

  Overrides:
    `processCause` in class `PollableElement`

### resolveAllOutages

    protected void resolveAllOutages(PollEvent resolvedCause,
                                     PollEvent resolution)

  Overrides:
    `resolveAllOutages` in class `PollableElement`

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.